<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE beans PUBLIC
    "-//SPRING//DTD BEAN//EN"
    "http://www.springframework.org/dtd/spring-beans.dtd" >
<beans>

  <bean id="scheduler"
    class="org.springframework.scheduling.quartz.SchedulerFactoryBean"
    destroy-method="destroy">
    <property name="triggers">
      <list>
        <ref bean="adaptersTriger" />
        <ref bean="adaptersStatusTriger" />
        <ref bean="eaiEngineStatusTriger" />
        <ref bean="hostStatusAgentTrigger" />
        <ref bean="smsAgentTrigger" />
        <ref bean="jmsQueueAgentTrigger" />
        <ref bean="transactionTrackingAgentTrigger" />
        <ref bean="jmsFileStoreJobTrigger" />
      </list>
    </property>
    <property name="startupDelay" value="10" />
    <property name="quartzProperties">
      <props>
        <prop key="org.quartz.jobStore.class">
          org.quartz.simpl.RAMJobStore
        </prop>
        <prop key="org.quartz.jobStore.misfireThreshold">5000</prop>
        <prop key="org.quartz.threadPool.class">
          org.quartz.simpl.SimpleThreadPool
        </prop>
        <prop key="org.quartz.threadPool.threadCount">10</prop>
        <prop key="org.quartz.threadPool.threadPriority">5</prop>
        <prop key="org.quartz.threadPool.makeThreadsDaemons">true</prop>
        <prop key="org.quartz.scheduler.skipUpdateCheck">true</prop>
      </props>
    </property>
  </bean>

</beans>
